Subject: [Isis-wg] changes in draft-ietf-isis-wg-multi-topology-06.txt

From: Naiming Shen <[email-masked]>
Date: Fri, 28 Mar 2003 14:46:42 -0800

A couple of minor changes made into version 06 of the draft after
the LC and a small group discussion include authors, co-chairs and
ADs and some vendors. Here is the list:
 
 1) specify the OL bit in lsp header only control the 'normal' or ipv4
    unicast topology.
 2) specify the route leaking between the levels SHOULD be performed within
    the same MT.
 3) specify a network SHOULD only run either v6 tlv type 236, or with 
    M-ISIS using type 237. thus in one area/domain, we should not mix  
    those together.
    
    there are ways to make them co-exist in some special network topology,
    but we don't think it's worth the effort. basically, we propose a
    network using ISIS v6 in a area/domain should either run 'normal'
    ipv6 or run M-ISIS ipv6, but not both at the same time.
    
    the M-ISIS compatibility is meant to be compatible with the 'normal'
    or ipv4 unicast topology.   
 4) specify in this paragraph:
 
      The generic approach of packet to multiple MT RIB mapping over
      the same inbound interface is outside the scope of this draft. 
    
    in M-ISIS, multiple topologies can co-exist over the same physical
    or logical link with the peers. in the case more than one topology 
    belong to the same address family, there needs some mechanism to
    demux the inbound data packets for different RIB/FIB for route
    lookups. for example, if those are the QoS topologies, dscp bits
    of the ip packet may be used to pick the right forwarding table; 
    if its a customer service level related topologies, some packet  
    filters may be used to identify the packets belonging to certain
    customers/hosts/protocols/applications, thus to pick the correct
    tables. we are saying that those exact mechanism is outside the
    scope of this document.     
  5) fixed some typos.

thanks.
- Naiming

------- Forwarded Message

- --NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IS-IS for IP Internets Working Group of the IETF.

	Title		: M-ISIS: Multi Topology (MT)Routing in IS-IS
	Author(s)	: T. Przygienda, N. Shen, N. Sheth
	Filename	: draft-ietf-isis-wg-multi-topology-06.txt
	Pages		: 11
	Date		: 2003-3-26
	
This draft describes an optional mechanism within ISIS used today
by many ISPs for IGP routing within their clouds. This draft
describes how to run within a single ISIS domain a set of
independent IP topologies that we call Multi-Topologies (MTs).
This MT extension can be used for variety of purposes such as an
in-band management network ``on top'' of the original IGP topology,
maintain separate IGP routing domains for isolated multicast or
IPv6 islands within the backbone, or force a subset of an address
space to follow a different topology.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-isis-wg-multi-topology-06.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-isis-wg-multi-topology-06.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-isis-wg-multi-topology-06.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

------- End of Forwarded Message

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Naiming Shen <[email-masked]>
Date: Sat, 29 Mar 2003 10:18:50 -0800

i forgot to mention one more change in this version:

    6) made it clear that MT ID#0 can only be used in the MT TLV
       to announce the router/interface MT membership, it must be
       ignored if it shows up in the MT IS TLV or MT prefix TLV.
       this is to make sure the default or ipv4 unicast topology
       will all have a consistant view of the network.

thanks.

 ] 
 ] 
 ] A couple of minor changes made into version 06 of the draft after
 ] the LC and a small group discussion include authors, co-chairs and
 ] ADs and some vendors. Here is the list:
 ]  
 ]  1) specify the OL bit in lsp header only control the 'normal' or ipv4
 ]     unicast topology.
 ]  2) specify the route leaking between the levels SHOULD be performed within
 ]     the same MT.
 ]  3) specify a network SHOULD only run either v6 tlv type 236, or with 
 ]     M-ISIS using type 237. thus in one area/domain, we should not mix  
 ]     those together.
 ]     
 ]     there are ways to make them co-exist in some special network topology,
 ]     but we don't think it's worth the effort. basically, we propose a
 ]     network using ISIS v6 in a area/domain should either run 'normal'
 ]     ipv6 or run M-ISIS ipv6, but not both at the same time.
 ]     
 ]     the M-ISIS compatibility is meant to be compatible with the 'normal'
 ]     or ipv4 unicast topology.   
 ]  4) specify in this paragraph:
 ]  
 ]       The generic approach of packet to multiple MT RIB mapping over
 ]       the same inbound interface is outside the scope of this draft. 
 ]     
 ]     in M-ISIS, multiple topologies can co-exist over the same physical
 ]     or logical link with the peers. in the case more than one topology 
 ]     belong to the same address family, there needs some mechanism to
 ]     demux the inbound data packets for different RIB/FIB for route
 ]     lookups. for example, if those are the QoS topologies, dscp bits
 ]     of the ip packet may be used to pick the right forwarding table; 
 ]     if its a customer service level related topologies, some packet  
 ]     filters may be used to identify the packets belonging to certain
 ]     customers/hosts/protocols/applications, thus to pick the correct
 ]     tables. we are saying that those exact mechanism is outside the
 ]     scope of this document.     
 ]   5) fixed some typos.
 ] 
 ] 
 ] thanks.
 ] - Naiming
 ] 
 ] ------- Forwarded Message
 ] 
 ] 
 ] - --NextPart
 ] 
 ] A New Internet-Draft is available from the on-line Internet-Drafts directori
es.
 ] This draft is a work item of the IS-IS for IP Internets Working Group of the
 IETF.
 ] 
 ] 	Title		: M-ISIS: Multi Topology (MT)Routing in IS-IS
 ] 	Author(s)	: T. Przygienda, N. Shen, N. Sheth
 ] 	Filename	: draft-ietf-isis-wg-multi-topology-06.txt
 ] 	Pages		: 11
 ] 	Date		: 2003-3-26
 ] 	
 ] This draft describes an optional mechanism within ISIS used today
 ] by many ISPs for IGP routing within their clouds. This draft
 ] describes how to run within a single ISIS domain a set of
 ] independent IP topologies that we call Multi-Topologies (MTs).
 ] This MT extension can be used for variety of purposes such as an
 ] in-band management network ``on top'' of the original IGP topology,
 ] maintain separate IGP routing domains for isolated multicast or
 ] IPv6 islands within the backbone, or force a subset of an address
 ] space to follow a different topology.
 ] 
 ] A URL for this Internet-Draft is:
 ] http://www.ietf.org/internet-drafts/draft-ietf-isis-wg-multi-topology-06.txt
 ] 
 ] To remove yourself from the IETF Announcement list, send a message to 
 ] ietf-announce-request with the word unsubscribe in the body of the message.
 ] 
 ] Internet-Drafts are also available by anonymous FTP. Login with the username
 ] "anonymous" and a password of your e-mail address. After logging in,
 ] type "cd internet-drafts" and then
 ] 	"get draft-ietf-isis-wg-multi-topology-06.txt".
 ] 
 ] A list of Internet-Drafts directories can be found in
 ] http://www.ietf.org/shadow.html 
 ] or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
 ] 
 ] 
 ] Internet-Drafts can also be obtained by e-mail.
 ] 
 ] Send a message to:
 ] 	[email-masked].
 ] In the body type:
 ] 	"FILE /internet-drafts/draft-ietf-isis-wg-multi-topology-06.txt".
 ] 	
 ] NOTE:	The mail server at ietf.org can return the document in
 ] 	MIME-encoded form by using the "mpack" utility.  To use this
 ] 	feature, insert the command "ENCODING mime" before the "FILE"
 ] 	command.  To decode the response(s), you will need "munpack" or
 ] 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
 ] 	exhibit different behavior, especially when dealing with
 ] 	"multipart" MIME messages (i.e. documents which have been split
 ] 	up into multiple messages), so check your local documentation on
 ] 	how to manipulate these messages.
 ] 		
 ] 		
 ] ------- End of Forwarded Message
 ] 
 ] _______________________________________________
 ] Isis-wg mailing list
 ] [email-masked]
 ] https://www1.ietf.org/mailman/listinfo/isis-wg

- Naiming